Skip to main content
`Ctrl`+`K`

# LandauKokkosStaticDataSet

Copy precomputed Landau quadrature and species data to device-resident Kokkos views for use by `LandauKokkosJacobian()`

## Synopsis

    PetscErrorCode LandauKokkosStaticDataSet(DM, const PetscInt, const PetscInt, const PetscInt, const PetscInt, PetscInt[], PetscInt[], PetscInt[], PetscReal[], PetscReal[], PetscReal[], PetscReal[], PetscReal[], PetscReal[], PetscReal[], PetscReal[], PetscReal[], LandauStaticData *)

Collective; No Fortran Support

## See Also

`LandauKokkosStaticDataClear()`, `LandauKokkosJacobian()`

## Level

developer

## Location

src/ts/utils/dmplexlandau/kokkos/landau.kokkos.cxx

Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages